### Function

# Foundry init

#### Declaration [src]

    DexFuture*
    foundry_init (
      void
    )

#### Description [src]

Initializes libfoundry which is completed once the resulting `DexFuture` completes.

It is generally fine to use the library after calling this function but some data may not be fully loaded until it resolves. For example, if you need to sniff the user shell or other environment data, await this future before accessing user shell APIs.

#### Return value

Type: `DexFuture`

A `DexPromise` that resolves when the library and dynamically loaded data has completed.

The caller of the function takes ownership of the data, and is responsible for freeing it.